<?php
/*************************************************************************************
   Copyright notice
   
   (c) 2002-2010 Oliver Georgi (oliver@phpwcms.de) // All rights reserved.
 
   This script is part of PHPWCMS. The PHPWCMS web content management system is
   free software; you can redistribute it and/or modify it under the terms of
   the GNU General Public License as published by the Free Software Foundation;
   either version 2 of the License, or (at your option) any later version.
  
   The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html
   A copy is found in the textfile GPL.txt and important notices to the license 
   from the author is found in LICENSE.txt distributed with these scripts.
  
   This script is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 
   This copyright notice MUST APPEAR in all copies of the script!
*************************************************************************************/

/**
 * Sept. 2009
 * enhancement to enable phpwcms filebrowser support in FCK Editor
 * based on concept and work of Markus Khl <www.pagewerkstatt.ch>
 * 
 * 09.04.2010: K.Heermann
 * Enhanced/reduced for output of file id and hashes only.
 * New filename: filebrowserX.php
 */

session_start();

$phpwcms			= array();
$phpwcms_root		= dirname(__FILE__);
$js_files_all		= array();
$js_files_select	= array();

$table_r			= 380;

require($phpwcms_root.'/config/phpwcms/conf.inc.php');
require($phpwcms_root.'/include/inc_lib/default.inc.php');

if( empty($_SESSION["wcs_user_lang"]) ) {

	session_destroy();
	headerRedirect( PHPWCMS_URL );

} else {

	require(PHPWCMS_ROOT.'/include/inc_lang/backend/en/lang.ext.inc.php');
	$cust_lang = PHPWCMS_ROOT.'/include/inc_lang/backend/' . strtolower(substr($_SESSION["wcs_user_lang"], 0, 2)) . '/lang.ext.inc.php';
	if(is_file($cust_lang)) {
		include($cust_lang);
	}

}

// set target for article summary/list image
if(isset($_GET['target'])) {

	switch($_GET['target']) {
		
		case 'list':	$_SESSION['filebrowser_image_target'] = '_list_';
						break;	
	
		default: 		$_SESSION['filebrowser_image_target'] = '_';
	}

} elseif(empty($_SESSION['filebrowser_image_target'])) {

	$_SESSION['filebrowser_image_target'] = '_';

}

if(isset($_GET['entry_id'])) {
	$_SESSION['filebrowser_image_entry_id'] = preg_replace('/[^a-z0-9_]/', '', $_GET['entry_id']);
}

require_once (PHPWCMS_ROOT.'/include/inc_lib/dbcon.inc.php');
require_once (PHPWCMS_ROOT.'/include/inc_lib/general.inc.php');

checkLogin();

require_once (PHPWCMS_ROOT.'/include/inc_lib/backend.functions.inc.php');
require_once (PHPWCMS_ROOT.'/include/inc_lib/imagick.convert.inc.php');

$js_aktion = (isset($_GET["opt"])) ? intval($_GET["opt"]) : 0;

switch($js_aktion) {

	case 0: 	$titel		= $BL['IMAGE_TITLE'];
				$filetype	= $BL['IMAGE_FILES'];
				break;

	case 4:		$titel		= $BL['FILE_TITLE'];
				$filetype	= $BL['FILES'];
				break;
	
	case 2:		$titel		= $BL['MEDIA_TITLE'];
				$filetype	= $BL['MEDIA_FILES'];
				break;
	
	default:	$titel		= $BL['FILE_TITLE'];
				$filetype	= $BL['FILES'];
				$js_aktion 	= 4;
				break;
}

if(isset($folder)) unset($folder);
if(isset($_SESSION["folder"])) $folder = $_SESSION["folder"];
if(isset($_GET["folder"])) {
	list($folder_id, $folder_value) = explode('|', $_GET["folder"]);
	$folder[$folder_id] = intval($folder_value);
	$_SESSION["folder"] = $folder; //Rckgabe des Aktuellen Array mit Aufolderwerten in die Session
}
$_SESSION["list_zaehler"] = 0; //Zhler fr die Public-Listenfunktion setzen

//Checken, welcher Ordner aktiv
if(isset($_GET["files"])) {

	$_SESSION["imgdir"] = intval($_GET["files"]);

} elseif(!isset($_SESSION["imgdir"])) {

	$_SESSION["imgdir"] = 0;

} else {

	$_SESSION["imgdir"] = intval($_SESSION["imgdir"]);

}

//Feststellen, ob berhaupt Dateien/Ordner des Users vorhanden sind
$sql = "SELECT COUNT(f_id) FROM ".DB_PREPEND."phpwcms_file WHERE f_public=1 AND f_aktiv=1 AND f_trash=0 LIMIT 1";
	   //"f_uid=".$_SESSION["wcs_user_id"]." AND f_trash=0 LIMIT 1;";
if($result = mysql_query($sql, $db) or die ("error while counting private files")) {
	if($row = mysql_fetch_row($result)) $count_user_files = $row[0];
	mysql_free_result($result);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

	<title><?php echo $titel ?></title>

	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<meta http-equiv="Expires" content="0" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="cache-control" content="no-cache" />
	<script src="include/inc_js/phpwcms.js" type="text/javascript"></script>
	<script src="include/inc_js/filebrowser.js" type="text/javascript"></script>
	<link href="include/inc_css/phpwcms.css" rel="stylesheet" type="text/css" />
	<style type="text/css">
	body{margin:0;padding:0;}
	/* ---- permanent right-hand scroll bar */
	html{margin:0;padding:0;overflow-y:scroll;}
	</style>

<script type="text/javascript">
<!--
function MM_showHideLayersP() //v6.0 patched   [show | hide]
// http://forum.chip.de/html-css-javascript/div-problem-ie-mozilla-772669.html
{ 
    var i,p,v,obj,args=MM_showHideLayersP.arguments;
    for (i=0; i<(args.length-2); i+=3) 
    {
        if ((obj=MM_findObj(args[ i]))!=null) 
        { 
            v=args[i+2];
            if (obj.style) 
            { 
                obj=obj.style; 
                v=(v=='show')?'block' : (v=='hide')?'none':v;  // hinter 'block'!
            }
            obj.display=v; // so ist es besser!
        }
    }
}

function toggle(obj) {
    var el = document.getElementById(obj);
    if ( el.style.display != 'none' ) {
       el.style.display = 'none';
    }
    else {
       el.style.display = '';
    }
}

//--> 
</script>
</head>

<body>
<div> <!-- +KH //-->
<div style="height:30px;width:99%;padding:1px 0 0 5px;margin:0 0 5px 0;border-bottom:1px solid #888;background:#D5DF7D;font-size:10px;font-weight:bold;color:#444;">
<span style="line-height:15px;">filebrowserX V1.0:  Additional Informations</span> <br />
<span style="color:blue">[</span>DL:x<span style="color:blue">]</span> Downloads &nbsp;&nbsp; <span style="color:blue">[C]</span> Copyright &nbsp;&nbsp; <span style="color:blue">[K]</span> Keywords &nbsp;&nbsp; <span style="color:blue">[T]</span> Tags &nbsp;&nbsp; <span style="color:blue">[U]</span> User &nbsp;&nbsp; <span style="color:blue">[LI]</span> Long info &nbsp;&nbsp; [x] <span style="color:blue">[</span>ID:x<span style="color:blue">]</span> File ID
</div>

<table summary="" border="0" cellspacing="0" cellpadding="0" style="margin:5px;"">
  <tr>
		<td bgcolor="#7C98A2"><img src="img/leer.gif" alt="" width="1" height="1" border="0" /></td>
		<td rowspan="4"><img src="img/leer.gif" alt="" width="5" height="1" border="0" /></td>
		<td bgcolor="#7C98A2"><img src="img/leer.gif" alt="" width="1" height="1" border="0" /></td>
  </tr>
  <tr>
    <td bgcolor="#7C98A2" class="msgreiter">&nbsp;<?php echo $BL['FOLDER_LIST'] ?>&nbsp;</td>
    <td bgcolor="#7C98A2" class="msgreiter">&nbsp;<?php echo $filetype ?>&nbsp;</td>
  </tr>
  <tr>
    <td bgcolor="#7C98A2"><img src="img/leer.gif" alt="" width="1" height="1" border="0" /></td>
	<td bgcolor="#7C98A2"><img src="img/leer.gif" alt="" width="1" height="1" border="0" /></td>
  </tr>
  <tr>
    <td valign="top"><?php
	
if(isset($count_user_files) && $count_user_files) { //Wenn berhaupt Public-Dateien vorhanden, dann Listing

	echo LF.'<table summary="" bgColor="#FCFDFD" border="0" cellspacing="0" cellpadding="0">'.LF;
	
	//Anzeige des Festplattensymbols
	$dirname = $BL['ROOT_DIR'];
	if(!isset($folder[0])) {
		$folder[0] = 0;
	}
	$folder_status = true_false($folder[0]);
	$count_sql = "SELECT COUNT(f_id) FROM ".DB_PREPEND."phpwcms_file WHERE f_pid=0 AND f_public=1 AND f_aktiv=1 AND f_trash=0 LIMIT 1";

	if($count_result = mysql_query($count_sql, $db)) {
		if($count_row = mysql_fetch_row($count_result)) {
			$count = '<img src="img/leer.gif" height="1" width="2" alt="" border="0" /><a href="filebrowserX.php?opt='.$js_aktion.'&amp;folder=0'.
					 '%7C'.$folder_status.'">'.on_off($folder_status, $dirname, 0).'</a>';
			$count_wert = $count_row[0];
		}
		mysql_free_result($count_result);
	}
	
	// define current directory name
	$current_dirname = $dirname;
	
	$dirname	=  "<a href=\"filebrowserX.php?opt=".$js_aktion."&amp;files=0\" title=\"".$BL['SHOW_FILES']."\">".$dirname."</a>";
	$bgcol		= (isset($row["f_id"]) && $row["f_id"] == $_SESSION["imgdir"]) ? ' bgcolor="#FED83F"' : '';
	
	echo '<tr'.$bgcol.'><td colspan="2"><img src="img/leer.gif" height="2" width="1" border="0" alt="" /></td></tr>'.LF; //Abstand vor
	echo '<tr'.$bgcol.'><td class="msglist" nowrap="nowrap">';
	echo $count.'<img src="img/leer.gif" height="1" width="4" border="0" alt="" /><img src="img/icons/harddisk_16x11.gif" border="0" alt="" />'; //Zellinhalt 1. Spalte
	echo '<img src="img/leer.gif" height="1" width="4" alt="" border="0" />'.$dirname.'</td><td><img src="img/leer.gif" height="1" width="5" border="0" alt="" /></td></tr>'.LF;
	//Aufbau trennende Tabellen-Zeile
	echo '<tr'.$bgcol.'><td colspan="2"><img src="img/leer.gif" height="1" width="1" border="0" alt="" /></td></tr>'.LF; //Abstand nach
	echo '<tr bgcolor="#CDDEE4"><td colspan="2"><img src="img/leer.gif" height="1" width="1" border="0" alt="" /></td></tr>'.LF;
		
	//Wenn ueberhaupt Ordner fr User vorhanden, dann Listing
	if(!$folder_status && $count_wert) {
		folder_list(0, $db, 18, "filebrowserX.php?opt=".$js_aktion."&amp;");
	}

	echo '</table>'.LF;
} else {
	echo "no files available";
}
	
	?>    </td>
    <td valign="top"><?php
	
	//Tabelle
	
	echo LF.'<table summary="" bgColor="#FFFFFF" width="100%" border="0" cellspacing="0" cellpadding="0">'.LF;
	$file_sql  = "SELECT * FROM ".DB_PREPEND."phpwcms_file WHERE f_pid=".$_SESSION["imgdir"]." AND ";
	switch($js_aktion) {

		case 2: $default_ext  = "f_ext IN ('aif', 'aiff', 'mov', 'movie', 'mp3', 'mpeg', 'mpeg4', ";
				$default_ext .= "'mpeg2', 'wav', 'swf', 'ram', 'ra', 'wma', 'wmv', ";
				$default_ext .= "'avi', 'au', 'midi', 'moov', 'rm', 'rpm', 'mid', 'midi')";
				
				if(!empty($phpwcms["multimedia_ext"])) {
				
					$allowed_ext = convertStringToArray(strtolower($phpwcms["multimedia_ext"]));
					if(count($allowed_ext)) {						
						$default_ext = "f_ext IN ('".implode("', '", $allowed_ext) . "')";
					}
					
				}
				
				$file_sql .= $default_ext." AND ";
				
				break;

	}
	$file_sql .= "f_public=1 AND f_aktiv=1 ";
	$file_sql .= "AND f_kid=1 AND f_trash=0 ORDER BY f_sort, f_name";
	
	if($file_result = mysql_query($file_sql, $db) or die ("error while listing files<br />".html_entities($file_sql))) {
		$file_durchlauf = 0;
		
		if(empty($_SESSION['image_browser_article'])) {
			$target_form = 'articlecontent';
		} else {
			$target_form = 'article';
		}
		
		// User auslesen
		$file_sql_u  = "SELECT usr_id, usr_login FROM ".DB_PREPEND."phpwcms_user WHERE usr_aktiv=1 ORDER BY usr_id";
		if($file_result_u = mysql_query($file_sql_u, $db) or die ("error while listing files<br />".html_entities($file_sql_u))) {
		
			$usr = array();
			while($usr_row = mysql_fetch_array($file_result_u)) {
				$usr[$usr_row['usr_id']] = $usr_row['usr_login'];
			}
			
		}
		
		
		// DB auslesen
		while($file_row = mysql_fetch_array($file_result)) {
			$filename = html_specialchars($file_row["f_name"]);
			
			$thumb_image = true;
			if( $js_aktion != 2 && $js_aktion != 4 && $js_aktion != 9 && $js_aktion != 10 ) {
				// check if file can have thumbnail - if so it can be choosen for usage
				$thumb_image = get_cached_image(
			 					array(	"target_ext"	=>	$file_row["f_ext"],
										"image_name"	=>	$file_row["f_hash"] . '.' . $file_row["f_ext"],
										"thumb_name"	=>	md5($file_row["f_hash"].$phpwcms["img_list_width"].$phpwcms["img_list_height"].$phpwcms["sharpen_level"])
								  )
								);
			}

			if($thumb_image != false || $js_aktion == 6) {
			
				$js_files_select[$file_durchlauf] = '	  [' . $file_durchlauf .', ' . $file_row["f_id"] . ', "' . $filename . '"]';
				$add_all = false;
			
				switch($js_aktion) {
					case 0:  $jst = empty($_SESSION['filebrowser_image_target']) ? '_' : $_SESSION['filebrowser_image_target']; 
					
							 $js1 = 'toggle(\'infolayer-'.$file_row['f_id'].'\'); toggle(\'infolayer1-'.$file_row['f_id'].'\'); return(false);';
							 $js0 = 'MM_showHideLayersP(\'infolayer-'.$file_row['f_id'].'\',\'\',\'hide\',\'infolayer1-'.$file_row['f_id'].'\',\'\',\'hide\')';
						 	 break;

					case 2:  $js  = "window.opener.document.articlecontent.cmedia_name.value='".$filename."';";
							 $js .= "window.opener.document.articlecontent.cmedia_id.value='".$file_row["f_id"]."';";

							 $js1 = 'toggle(\'infolayer-'.$file_row['f_id'].'\'); toggle(\'infolayer1-'.$file_row['f_id'].'\'); return(false);';

						 	 break;
							 
							 
					case 4:   $js1 = 'toggle(\'infolayer-'.$file_row['f_id'].'\'); toggle(\'infolayer1-'.$file_row['f_id'].'\'); return(false);';

							 break;
							 
						 
					default: $js1 = 'toggle(\'infolayer-'.$file_row['f_id'].'\'); toggle(\'infolayer1-'.$file_row['f_id'].'\'); return(false);';
				}
				
				// show "add all files"
				if($file_durchlauf === 0 && $add_all) {
					/* -KH
					echo '
						<tr id="addAllFilesLink">
							<td colspan="4" class="add_all_files"><a href="#" onclick="addAllFiles();return false;" title="' . $BL['ADD_ALL_FILES'] . '">' . 
								$BL['ADD_ALL_FILES'] .	'
								<img src="img/button/add_9x9a.gif" alt="" border="0" />
								</a></td>
						</tr>
						<tr>
							<td colspan="4" bgcolor="#CDDEE4"><img src="img/leer.gif" alt="" border="0" /></td>
						</tr>
						  ';
					*/
				}
			
				echo '<tr><td colspan="4"><a name=jumpLayer-'.$file_row['f_id'].'"></a><img src="img/leer.gif" width="1" height="2" border="0" alt="" /></td></tr>'.LF;
				// Wenn einfache Datei, dann kleines Icon anzeigen
				echo "<tr>\n<td><a href=\"".PHPWCMS_URL.PHPWCMS_FILES.$file_row['f_hash'].".".$file_row['f_ext']."\"><img src=\"img/icons/small_".extimg($file_row["f_ext"])."\" border=\"0\" alt=\"\" hspace=\"3\" vspace=\"1\" /></a></td>\n";


		
				if($js_aktion != 10) {
					echo "<td class=\"msglist\">".$filename."<span style=\"color:#666;font-size:9px;text-align:right;padding-left:5px; \">[DL:</id>".$file_row['f_dlfinal']."]</span>";
					// ------ +KH 11.11.2010 Patch :Download link output
					echo '<span style="color:#aaa;font-size:9px;text-align:right;padding-left:7px; text-decoration: underline;"><a href="'.PHPWCMS_URL.'download.php?f='.$file_row['f_hash'].'&amp;countonly=1&amp;target=0" target="_blank">DL-Link</a></span>';
					echo "</td>\n<td><img src=\"img/leer.gif\" width=\"5\" height=\"1\" alt=\"\" border=\"0\" />";
				} else {
					//-KH echo "<td class=\"msglist\"><a href=\"#\" onclick=\"".$js."tmt_winControl('self','close()');\">".$filename."</a></td>\n<td>";
					echo "<td class=\"msglist\">".$filename."</td>\n";
				}
				
				// Uebernehmen Button
				echo "<a href=\"#jumpLayer-".$file_row['f_id']."\" onclick=\"".$js1."\" title=\"on/off filecenter info\">";
				echo "<img src=\"img/button/thumbnail_13x13_1.gif\" border=\"0\" alt=\"\" hspace=\"2\" vspace=\"2\" /></a>";
				echo "</td>\n";

				//+KH: Ausgabe Sort rechts
				echo "<td align=\"right\"><span style=\"font-size:9px; padding-right:0px;text-align:right;\">[Sort:".$file_row['f_sort']."]</span><img src=\"img/leer.gif\" alt=\"\" border=\"0\" width=\"3px\" height=\"1px\" /></td>\n</tr>\n";
				echo "<tr><td colspan=\"4\"><img src=\"img/leer.gif\" width=\"1\" height=\"2\" alt=\"\" border=\"0\" /></td></tr>\n";

				if( in_array( $js_aktion, array(0,  2,  4) ) ) {
					//-KH echo "<tr><td>&nbsp;</td>\n<td colspan=\"3\"><a href=\"#\" onclick=\"".$js;
					echo "<tr><td>&nbsp;</td>\n<td colspan=\"3\" width=\"".$table_r."\">";
					//-KH echo "tmt_winControl('self','close()');\">";
					
					if(!empty($thumb_image[0]))  // +Kh nur wenn thumb vorhanden, also opt=0
					echo '<img src="'.PHPWCMS_IMAGES . $thumb_image[0] .'" border="0" '.$thumb_image[3].' alt="" style="float:left; padding-right:3px;" />';

					echo '<div style="font-size:10px;padding-bottom:3px;line-height:100%;display:none;" id="infolayer-'.$file_row['f_id'].'">';
//					// ------ +KH 09.04.2010 Patch :LongInfo output
					echo '  <div style="background:#eaeaea;padding-bottom:2px;margin-bottom:2px;line-height:15px"><span style="color:blue">[<span style="font-family: courier">C</span>]</span> '.br_htmlencode($file_row['f_copyright']).'</div>';
					echo '  <div style="background:#eaeaea;padding-bottom:2px;margin-bottom:2px;line-height:15px"><span style="color:blue">[<span style="font-family: courier">K</span>]</span> '.br_htmlencode($file_row['f_shortinfo']).'</div>';
					echo '  <div style="background:#eaeaea;padding-bottom:2px;margin-bottom:2px;line-height:15px"><span style="color:blue">[<span style="font-family: courier">T</span>]</span> '.br_htmlencode($file_row['f_tags']).'</div>';
					echo '  <div style="background:#eaeaea;padding-bottom:2px;margin-bottom:2px;line-height:15px"><span style="color:blue">[<span style="font-family: courier">U</span>]</span> '.$usr[$file_row['f_uid']].'</div>';

					
					
					echo '</div>';
					//-KH echo "</a></td>\n</tr>\n";
					echo "</td>\n</tr>\n";
				}
				
				// ------ +KH 09.04.2010 Patch :LongInfo output
				echo "<tr><td width=\"".$table_r."\" colspan=\"4\"><div style=\"font-size:10px;padding-bottom:2px;display:none;\" id=\"infolayer1-".$file_row['f_id']."\">";
				echo '<div style="background:#eaeaea;margin-left:18px;padding:2px 2px 2px 2px;color:#444;"><span style="color:blue">[<span style="font-family: courier">LI</span>]</span> '.br_htmlencode($file_row['f_longinfo']).'</div>';
				echo "</td></tr>\n";
				
				// ------ +KH 09.04.2010 Patch ID und Hash output
				echo "<tr><td colspan=\"4\"><img src=\"img/leer.gif\" width=\"1\" height=\"2\" alt=\"\" border=\"0\" /></td></tr>\n";
				echo "<tr><td colspan=\"4\"><span style=\"font-size:9px; text-align:right\">[ID:".$file_row['f_id']."]</span><span style=\"color:#777;font-size:9px;padding-left:5px; \"><id style=\"color:#777;font-size:9px;padding-left:3px;\">Hash:</id> ".$file_row['f_hash']."</span></td></tr>\n"; // +KH
				echo "<tr><td colspan=\"4\"><img src=\"img/leer.gif\" width=\"1\" height=\"2\" alt=\"\" border=\"0\" /></td></tr>\n";
				echo "<tr><td colspan=\"4\" bgcolor=\"#B3BCBF\"><img src=\"img/leer.gif\" width=\"1\" height=\"1\" alt=\"\" border=\"0\" /></td></tr>\n";
				$file_durchlauf++;
			}

		}
		if(!$file_durchlauf) { //Abschluss der Filelisten-Tabelle
			echo "<tr><td colspan=\"4\"><img src=\"img/leer.gif\" width=\"3\" height=\"2\" alt=\"\" border=\"0\" /></td></tr>\n";
			echo "<tr><td colspan=\"4\" class=\"msglist\">&nbsp;".$BL['NO_FILE']."&nbsp;&nbsp;</td></tr>\n";
			echo "<tr><td colspan=\"4\"><img src=\"img/leer.gif\" width=\"3\" height=\"2\" alt=\"\" border=\"0\" /></td></tr>\n";
		}
	} //Ende Liste Dateien
	
	echo "</table>".LF;

/*	
	if( count($js_files_select) ) {
		
		echo LF . '<script type="text/javascript">';
		echo LF . SCRIPT_CDATA_START . LF;
		
		echo 'var files_all = new Array(' . LF;
		echo implode(','.LF, $js_files_select);
		echo LF . '	);';
		echo LF . 'var files_total = ' . $file_durchlauf . ';';
		
		echo LF . LF;
		echo 'function addAllFiles() {';
		echo LF . '	';
		echo implode(LF . '	', $js_files_all);
		echo LF . '	//if(closewin == true) tmt_winControl("self","close()");';
		echo LF . '	getObjectById("addAllFilesLink").style.display = "none";';
		echo LF . '	if(confirm("' . str_replace('{VAL}', $current_dirname, $BL['ADD_ALL_CONFIRM']) . '")) tmt_winControl("self","close()");';
		echo LF . '}' . LF;
		
		echo LF . SCRIPT_CDATA_END;
		echo LF . '</script>' . LF;
		
		
	}
*/	
	?></td>
  </tr>
</table>
</div> <!-- +KH //-->
</body>
</html>
<?php


//function folder_list($pid, $dbcon, $vor, $zieldatei, $userID) {
function folder_list($pid, $dbcon, $vor, $zieldatei) {
	global $current_dirname;
	$folder = $_SESSION["folder"];
	$pid = intval($pid);
	$sql = "SELECT f_id, f_name, f_aktiv, f_public FROM ".DB_PREPEND."phpwcms_file WHERE ".
		   "f_pid=".intval($pid)." AND f_public=1 AND f_aktiv=1 AND ".
		   "f_kid=0 AND f_trash=0 ORDER BY f_sort, f_name"; //"f_uid=".intval($userID)." AND ".
	$result = mysql_query($sql, $dbcon);
	while($row = mysql_fetch_array($result)) {
	
		$dirname = html_specialchars($row["f_name"]);
		
		//Ermitteln des Aufolderwertes
		if(!isset($folder[$row["f_id"]])) $folder[$row["f_id"]] = 0;
		$folder_status = true_false($folder[$row["f_id"]]);
		
		//Ermitteln, ob berhaupt abhngige Dateien/Ordner existieren
		$count_sql = "SELECT COUNT(f_id) FROM ".DB_PREPEND."phpwcms_file WHERE ".
					 "f_pid=".$row["f_id"].
					 " AND f_public=1 AND f_aktiv=1 AND ".
					 "f_trash=0 LIMIT 1";
		if($count_result = mysql_query($count_sql, $dbcon)) {
			if($count_row = mysql_fetch_row($count_result)) {
				$count = '<img src="img/leer.gif" height="1" width="2" alt="" border="0" /><a href="'.$zieldatei."folder=".$row["f_id"].
						 '%7C'.$folder_status.'">'.on_off($folder_status, $dirname, 0).'</a>';
				$count_wert = $count_row[0];
			}
			mysql_free_result($count_result);
		}
		
		//+KH: between after [/xx][yy]
		$dirname = preg_replace('/\[\/(.*?)]\[(.*?)]/is', '[/$1]<br />[$2]' ,$dirname);
		
		$dirname = '<a href="'.$zieldatei."files=".$row["f_id"].'" title="'.$GLOBALS['BL']['SHOW_FILES1'].'">'. $dirname . '</a>';

		if($row["f_id"] == $_SESSION["imgdir"]) {
			$bgcol = ' bgcolor="#FED83F"';
			$current_dirname = $row["f_name"];
		} else {
			$bgcol = '';
		}
		
		//Aufbau der Zeile
		echo "<tr".$bgcol."><td colspan=\"2\"><img src=\"img/leer.gif\" height=\"2\" width=\"1\" alt=\"\" border=\"0\" /></td></tr>\n"; //Abstand vor
		echo "<tr".$bgcol."><td class=\"msglist\" nowrap=\"nowrap\">";
		echo $count."<img src=\"img/leer.gif\" height=\"1\" width=\"".($vor+6)."\" border=\"0\" alt=\"\" /><img src=\"img/icons/folder_zu.gif\" border=\"0\" alt=\"\" />"; //Zellinhalt 1. Spalte
		// +KH: Patched for ID in folder
		echo "<img src=\"img/leer.gif\" height=\"1\" width=\"5\" alt=\"\" border=\"0\" /><div style=\"margin-top:-11px;margin-left:".($vor+40)."px;\">".$dirname."</div></td><td align=\"right\"><div style=\"font-size:9px; padding-right:3px;padding-left:5px;\">[".$row['f_id']."]</div></td></tr>\n";
		//Aufbau trennende Tabellen-Zeile
		echo "<tr".$bgcol."><td colspan=\"2\"><img src=\"img/leer.gif\" height=\"1\" width=\"1\" alt=\"\" border=\"0\" /></td></tr>\n"; //Abstand nach
		echo "<tr bgcolor=\"#CDDEE4\"><td colspan=\"2\"><img src=\"img/leer.gif\" height=\"1\" width=\"1\" alt=\"\" border=\"0\" /></td></tr>\n"; //Trennlinie<img src='img/lines/line-lightgrey-dotted-538.gif'>
		
		//Weiter, wenn Unterstruktur
		if(!$folder_status && $count_wert) {
			folder_list($row["f_id"], $dbcon, $vor+18, $zieldatei); //, $userID
		}
		
		//Zaehler mitfhren
		$_SESSION["list_zaehler"]++;
	}
	mysql_free_result($result);
}

function on_off($wert, $string, $art = 1) {
	//Erzeugt das Status-Zeichen fr Klapp-Auf/Zu
	//Wenn Art = 1 dann als Zeichen, ansonsten als Bild
	if($wert) {
		if($art == 1) {
			return "+";
		} else {
			return "<img src=\"img/symbols/klapp_zu.gif\" border=\"0\" alt=\"\" title=\"".$GLOBALS['BL']['OPEN_DIR'].": ".$string."\" />";
		}
	} else {
		if($art == 1) {
			return "-";
		} else {
			return "<img src=\"img/symbols/klapp_auf.gif\" border=\"0\" alt=\"\" title=\"".$GLOBALS['BL']['CLOSE_DIR'].": ".$string."\" />";
		}
	}
}

function true_false($wert) {
	//Wechselt den Wahr/Falsch wert zum Gegenteil: 1=>0 und 0=>1
	if(intval($wert)) { return 0; } else { return 1; }
}

?>